<template>
  <div class="c-app">
    <TheHeader />

    <main class="c-body">
      <transition name="fade">
        <nuxt />
      </transition>
    </main>

    <TheFooter />
  </div>
</template>

<script>
import TheHeader from '~/components/organisms/TheHeader'
import TheFooter from '~/components/organisms/TheFooter'

export default {
  components: {
    TheHeader,
    TheFooter
  }
}
</script>

<style lang="scss" scoped>
  .fade-enter-active,
  .fade-leave-active {
    transition: opacity 0.3s;
  }
  .fade-enter,
  .fade-leave-to {
    opacity: 0;
  }
</style>
